#!/bin/sh
find /usr/lib/jvm -name cacerts |while read i; do
    keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias cinedigitalmanager.com
    keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias cinedigitalmanager2032.com
	keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias barcoICMP.com
	keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias startssl
	keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias letsencrypt

    keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias cinedigitalmanager.com -file '/usr/share/CineDigitalManager/CA.crt'
    keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias cinedigitalmanager2032.com -file '/usr/share/CineDigitalManager/CA2032.crt'
	keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias barcoICMP.com -file '/usr/share/CineDigitalManager/root.ca.barco-icmp-https.com_cert.pem'
	keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias startssl -file '/usr/share/CineDigitalManager/startssl.crt'
	keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias letsencrypt -file '/usr/share/CineDigitalManager/letsencrypt.crt'
done

find /opt/jdk1.8.0_241 -name cacerts |while read i; do
    keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias cinedigitalmanager.com
    keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias cinedigitalmanager2032.com
    keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias barcoICMP.com
    keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias startssl
    keytool -delete -trustcacerts -keystore $i -storepass changeit -noprompt -alias letsencrypt

    keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias cinedigitalmanager.com -file '/usr/share/CineDigitalManager/CA.crt'
    keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias cinedigitalmanager2032.com -file '/usr/share/CineDigitalManager/CA2032.crt'
    keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias barcoICMP.com -file '/usr/share/CineDigitalManager/root.ca.barco-icmp-https.com_cert.pem'
    keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias startssl -file '/usr/share/CineDigitalManager/startssl.crt'
    keytool -import -trustcacerts -keystore $i -storepass changeit -noprompt -alias letsencrypt -file '/usr/share/CineDigitalManager/letsencrypt.crt'
done

